{ inputs, ... }: {
  flake.modules.nixos.development-tools = { pkgs, ... }: {
    environment.systemPackages = with pkgs; [
      cmake
      gnumake
      clang
      gcc
      gdb
      perf
      python3
      libqalculate

      man-pages
      man-pages-posix
    ];
    documentation.dev.enable = true;

    programs.direnv = {
      enable = true;
      enableZshIntegration = true;
      silent = true;
      nix-direnv.enable = true;
    };

    programs.nix-ld.enable = true;
  };
}
